<script>
    var requireJS = [];

    loadJS(requireJS, "js/views/common.js");
    loadJS(requireJS, "js/views/clients_recharge.js");

</script>

<div>
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header">
                    <i class="icon-people"></i> Cobro de deudas
                    
                    <div class="pull-right">
                        Estado servicio: <span th:text="${status}"></span>
                        <br/>
                        Envios total: email = <span th:text="${email}"></span>  sms = <span th:text="${sms}"></span>
                    </div>
                </div>
                <div class="card-block">

                    <div class="input-group">

                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary dropdown-toggle" data-toggle="dropdown">
                                <i class="fa fa-gear"></i>
                                Operaciones
                                <span class="caret"></span>
                            </button>
                            <div class="dropdown-menu" id="actions-dropdown">
                                <a class="dropdown-item" href="#" id="gen-recharge">Generar</a>
                                <a class="dropdown-item" href="#" id="send-notice">Enviar</a>
                                <a class="dropdown-item" href="#" id="stop-send-notice">Detener</a>
                            </div>
                        </span>
                        &nbsp;
                        <div class="btn-group">
                            <input th:value="${q}" type="search" class="form-control search-input" placeholder="Buscar...">
                            <span class="search-clear fa fa-remove"></span>
                        </div>
                        <span class="input-group-btn">
                            <button type="button" class="btn btn-primary search-button">
                                <i class="fa fa-search"></i>
                            </button>                            
                        </span>
                        &nbsp;                        
                    </div>

                    <br/>


                    <table class="table table-bordered table-striped table-sm">
                        <thead>
                            <tr class="text-center">                                    
                                <th colspan="2">Fechas</th>
                                <th class="text-center" colspan="3">Titular</th>
                                <th class="text-center" colspan="3">Envios</th>
                                <th class="text-center" colspan="2">Enlace</th>
                                <th></th>
                            </tr>
                            <tr class="text-center">
                                <td>Creado</td>
                                <td>Actualizado</td>
                                <td>Nombre</td>
                                <td>Dni</td>
                                <td>Deuda</td>
                                <td>Email</td>
                                <td>SMS</td>
                                <td>Pendientes</td>
                                <td>Token</td>
                                <td>Visitas</td>
                                <td>&nbsp;</td>
                            </tr>
                        </thead>
                        <tbody>
                            <tr th:each="item : ${page.content}">                                
                                <td th:if="${item.creationDate != null}" th:text="${#dates.format(item.creationDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.creationDate == null}"></td>
                                <td th:if="${item.lastSendDate != null}" th:text="${#dates.format(item.lastSendDate, 'dd/MM/yyyy HH:mm:ss')}"></td>
                                <td th:if="${item.lastSendDate == null}"></td>                                
                                <td>
                                    <a th:href="'/#views/support/clients?q=id:' + ${item.clientId}" target="_blank">
                                        <i class="fa fa-link"></i>
                                    </a>
                                    <span th:text="${item.client.name} + ' '+ ${item.client.lastname}"></span>
                                    <span th:if="${item.client.companyName != null}" th:text="' - ' + ${item.client.companyName}"></span>
                                </td>
                                <td>
                                    <span th:text="${item.client.idValue} + ' (' + ${item.client.idType} + ')'"></span>
                                </td>
                                <td>
                                    <span th:text="${item.getBalanceText()}"></span>
                                </td>                                
                                <td class="text-center" th:text="${item.email}"></td>
                                <td class="text-center" th:text="${item.sms}"></td>                                
                                <td class="text-center" th:text="${item.counter}"></td>                                
                                <td>
                                    <a th:href="'/p/' + ${item.token}" target="_blank">
                                        <span th:text="${item.token}"></span>
                                    </a>
                                </td>
                                <td class="text-center" th:text="${item.visited}"></td>
                                <td>
                                    <i class="fa fa-envelope-o action-button" id="send-notice-one-email" title="Enviar Email prueba" th:attr="data-id=${item.id}"></i>
                                    <i class="fa fa-comment-o action-button" id="send-notice-one-sms" title="Enviar SMS prueba" th:attr="data-id=${item.id}"></i>
                                </td>
                            </tr>
                        </tbody>
                    </table>


                    <div th:replace="fragments/pagination :: paginationbar"></div>

                    <!--                    <div class="row">
                                            <div class="col-6">
                                                <div class="card">
                                                    <div class="card-block p-3 clearfix">
                                                        <i class="fa fa-money bg-info p-3 font-2xl mr-3 float-left"></i>
                                                        <div class="h5 text-info mb-0 mt-2" th:text="${total.getTotalText()}">$1.999,50</div>
                                                        <div class="text-muted text-uppercase font-weight-bold font-xs">Total Adeudado</div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="col-6">
                                                <div class="card">
                                                    <div class="card-block p-3 clearfix">
                                                        <i class="fa fa-database bg-info p-3 font-2xl mr-3 float-left"></i>
                                                        <div class="h5 text-info mb-0 mt-2" th:text="${total.records}">$1.999,50</div>
                                                        <div class="text-muted text-uppercase font-weight-bold font-xs">Cantidad de Clientes</div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>-->

                </div>
            </div>
        </div>
        <!--/.col-->
    </div>
</div>

<div th:replace="fragments/view-modal"></div>
<div th:replace="fragments/edit-modal"></div>